Create Team
Request
POST
https://api.sourcecraft.tech/orgs/{org_slug}/teams
Path parameters
|
Name |
Description |
|
org_slug |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
org_id |
Type: string Example: `` |
Body
application/json
{
"slug": "example",
"description": "example"
}
|
Name |
Description |
|
slug |
Type: string Example: |
|
description |
Type: string Example: |
Responses
201 Created
A successful response.
Body
application/json
{
"id": "example",
"slug": "example",
"description": "example",
"members_count": "example",
"organization": {
"id": "example",
"slug": "example"
}
}
|
Name |
Description |
|
description |
Type: string Example: |
|
id |
Type: string IAM group ID of the team. Use this value as Example: |
|
members_count |
Type: string<int64> Example: |
|
organization |
Type: OrganizationEmbedded Example
|
|
slug |
Type: string Example: |
OrganizationEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
|
slug |
Type: string Example: |
Example
{
"id": "example",
"slug": "example"
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": null
}
|
Name |
Description |
|
details |
Type: unknown Example: |
|
error_code |
Type: string Example: |
|
message |
Type: string Example: |
|
request_id |
Type: string Example: |